QXmpp: QXmppBookmarkConference Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppBookmarkConference Class Reference

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkSet.h>`

## Public Member Functions
| QXmppBookmarkConference ()
bool | autoJoin () const
void | setAutoJoin (bool autoJoin)
QString | jid () const
void | setJid (const QString &jid)
QString | name () const
void | setName (const QString &name)
QString | nickName () const
void | setNickName (const QString &nickName)

## Detailed Description

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks.

## Constructor & Destructor Documentation

QXmppBookmarkConference::QXmppBookmarkConference | ( |  | ) |

Constructs a new conference room bookmark.

## Member Function Documentation

bool QXmppBookmarkConference::autoJoin | ( |  | ) | const

Returns whether the client should automatically join the conference room on login.

QString QXmppBookmarkConference::jid | ( |  | ) | const

Returns the JID of the conference room.

QString QXmppBookmarkConference::name | ( |  | ) | const

Returns the friendly name for the bookmark.

QString QXmppBookmarkConference::nickName | ( |  | ) | const

Returns the preferred nickname for the conference room.

void QXmppBookmarkConference::setAutoJoin | ( | bool | autoJoin | ) |

Sets whether the client should automatically join the conference room on login.

Parameters

  autoJoin |

void QXmppBookmarkConference::setJid | ( | const QString & | jid | ) |

Sets the JID of the conference room.

Parameters

  jid |

void QXmppBookmarkConference::setName | ( | const QString & | name | ) |

Sets the friendly name for the bookmark.

Parameters

  name |

void QXmppBookmarkConference::setNickName | ( | const QString & | nickName | ) |

Sets the preferred nickname for the conference room.

Parameters

  nickName |

The documentation for this class was generated from the following files:

- QXmppBookmarkSet.h
- QXmppBookmarkSet.cpp